<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/api/markers/#geolocatecontrol

import {
  propsControl,
  propsControlGeolocate
} from './shared/props.js'

export const opts = Object.assign({},
  propsControl,
  propsControlGeolocate
)
</script>

<script setup>
import { GeolocateControl } from 'maplibre-gl'
import { setupControl } from './shared/setup.js'
import { eventsControl, eventsGeolocate } from './shared/events.js'

const props = defineProps(opts)
const emit = defineEmits(eventsControl)
const { control } = setupControl(GeolocateControl, props, emit, eventsGeolocate)

defineExpose({ control })
</script>
